Appearance
GET
/helpdesk/ticket/tickets/{ticketId}/messages/{messageId}Required scope:
viskan:ticket:readFetch a specific message from a ticket by its ID.
Parameters
Path parameters
ticketId string Format:
uuidThe identifier of the ticket.
messageId stringThe unique identifier of the message. This value should be double URL encoded if it has special characters.
Response
Returns the message.
JSON
{
"direction": "INBOUND",
"messageId": "<generated@id>",
"mailSendId": "c2277230-b0d2-4684-92b8-55c76cc759e5",
"senderName": "Jane Smith",
"senderAddress": "jane@example.com",
"replyTo": "greg@example.com",
"deliveredTo": "support@example.com",
"recipients": [
"support@example.com"
],
"recipientsCC": [
"..."
],
"recipientsBCC": [
"..."
],
"subject": "Re: Your order",
"contentType": "...",
"body": "...",
"attachments": [
{
"attachmentId": "...",
"fileName": "...",
"contentType": "...",
"type": "...",
"size": 12345
}
],
"jobConfigId": 12345,
"verifiedDomain": true
}
| Error code | Description |
|---|---|
conversation-not-found | The ticket could not be found. |
message-not-found | The message could not be found. |